package com.ym.mec.auth.api.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_device):
 */
public class SysUserDevice {

	/**  */
	private Integer id;
	
	/** 用户编号 */
	private Integer userId;
	
	/** 设备号 */
	private String deviceNum;
	
	/** 绑定时间 */
	private java.util.Date bindTime;
	
	/** 设备类型 */
	private String deviceType;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setDeviceNum(String deviceNum){
		this.deviceNum = deviceNum;
	}
	
	public String getDeviceNum(){
		return this.deviceNum;
	}
			
	public void setBindTime(java.util.Date bindTime){
		this.bindTime = bindTime;
	}
	
	public java.util.Date getBindTime(){
		return this.bindTime;
	}
			
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	
	public String getDeviceType(){
		return this.deviceType;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
